OpenJPEG 2.3.0

Data Fields
opj_jp2_box Struct Reference
JP2 - JPEG-2000 file format reader/writer

JP2 Box. More...

`#include <jp2.h>`

## Data Fields
OPJ_UINT32 | length
OPJ_UINT32 | type
OPJ_INT32 | init_pos

## Detailed Description

JP2 Box.

## Field Documentation

## ◆ init_pos

OPJ_INT32 opj_jp2_box::init_pos

Referenced by opj_jp2_read_boxhdr().

## ◆ length

OPJ_UINT32 opj_jp2_box::length

Referenced by opj_jp2_read_boxhdr(), opj_jp2_read_boxhdr_char(), opj_jp2_read_header_procedure(), opj_jp2_read_jp2h(), opj_write_cidx(), opj_write_phix(), opj_write_ppix(), and opj_write_thix().

## ◆ type

OPJ_UINT32 opj_jp2_box::type

Referenced by opj_jp2_read_boxhdr(), opj_jp2_read_boxhdr_char(), opj_jp2_read_header_procedure(), opj_jp2_read_jp2h(), opj_write_cidx(), opj_write_phix(), opj_write_ppix(), and opj_write_thix().

The documentation for this struct was generated from the following file:

- jp2.h